Subject: [MMUSIC] Media type "image" is missing in rfc4566bis

From: Gunnar Hellström <[email-masked]>
Date: Sat, 30 Jul 2016 08:18:49 +0200

I noted a small issue in rfc4566bis:

In section 5.14 of draft-ietf-mmusic-rfc4566bis-17, a paragraph defining 
media says:

-----------------current text in 5.14------------------------------------

<media> is the media type. Currently defined media are "audio", "video", 
"text", "application", and "message", although this list may be extended 
in the future (see Section 8).

-------------------------------------------------------------------------------

The "image" media is also defined and should be included in this list. 
It was registered by RFC 6466.

So, the paragraph should read:

--------------proposed modified text for 5.14------------------------------

<media> is the media type. Currently defined media are "audio", "video", 
"text", "application", "message", and "image", although this list may be 
extended in the future (see Section 8).

-------------end of change 
1-------------------------------------------------------------------

It should also be considered if the fact that "image" is a defined media 
type should be reflected in section 8.2.1,  where it is currently said: "

--------------------------current text in 
8.2.1-------------------------------------------

    This memo registers the media types "audio", "video", "text",
    "application", and "message".
-----------------------------------------------------------

The action in section 8.2.1 depends on what the plans are for IANA register of rfc4566bis values, but somehow "image" should be mentioned also in section 8.2.1. If the registration of the other media types for sdp are still regarded as registered by RFC 4566, the sentence is proposed to read:

------------------------Proposed replacement----------------------
Registered media types at the publication of this memo are "audio", "video", "text", "application", "message", and "image".
-----------------end of change 2-------------------------------------------------

(while if registration of the basic set of media will be regarded to be moved to have been made by rfc4566bis, then another wording is needed.)

Regards
Gunnar

-- 
-----------------------------------------
Gunnar Hellström
Omnitor
[email-masked]

---

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Sat, 30 Jul 2016 06:26:25 +0000

Hi Gunnar - 

I also noticed this and meant to bring it up as well.  I wasn’t sure whether we explicitly add the ‘image’ media type to the text or simply put a reference to RFC 6466 [or presumably both?].

Thanks,

Gonzalo

> On Jul 30, 2016, at 2:18 AM, Gunnar Hellström <[email-masked]> wrote:
> 
> In section 5.14 of draft-ietf-mmusic-rfc4566bis-17, a paragraph defining media says:
> 
> <media> is the media type. Currently defined media are "audio", "video", "text", "application", and "message", although this list may be extended in the future (see Section 8).
> 
> The "image" media is also defined and should be included in this list. It was registered by RFC 6466.
> 
> <media> is the media type. Currently defined media are "audio", "video", "text", "application", "message", and "image", although this list may be extended in the future (see Section 8).
> 
> -------------end of change 1-------------------------------------------------------------------
> It should also be considered if the fact that "image" is a defined media type should be reflected in section 8.2.1,  where it is currently said: "
> 
> --------------------------current text in 8.2.1-------------------------------------------
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Gunnar Hellström <[email-masked]>
Date: Sat, 30 Jul 2016 08:51:04 +0200

Hi Gonzalo,
> I also noticed this and meant to bring it up as well.  I wasn’t sure whether we explicitly add the ‘image’ media type to the text or simply put a reference to RFC 6466 [or presumably both?].
GH: The reference to RFC 6466 should be evident in the IANA registry, so 
I think it is sufficient to mention the 'image' media type among what is 
registered for use.

/Gunnar

+46 708 204 288

---

From: Gunnar Hellström <[email-masked]>
Date: Sun, 31 Jul 2016 08:52:30 +0200

Den 2016-07-30 kl. 08:51, skrev Gunnar Hellström:
>> I also noticed this and meant to bring it up as well.  I wasn’t sure 
>> whether we explicitly add the ‘image’ media type to the text or 
>> simply put a reference to RFC 6466 [or presumably both?].
> GH: The reference to RFC 6466 should be evident in the IANA registry, 
> so I think it is sufficient to mention the 'image' media type among 
> what is registered for use.
>
> /Gunnar
>>
>> Thanks,
>>
>> Gonzalo
>>
>>
>>> <media> is the media type. Currently defined media are "audio", 
>>> "video", "text", "application", and "message", although this list 
>>> may be extended in the future (see Section 8).
>>>
>>> <media> is the media type. Currently defined media are "audio", 
>>> "video", "text", "application", "message", and "image", although 
>>> this list may be extended in the future (see Section 8).
>>>
>>> It should also be considered if the fact that "image" is a defined 
>>> media type should be reflected in section 8.2.1, where it is 
>>> currently said: "
>>>
>>> The action in section 8.2.1 depends on what the plans are for IANA 
>>> register of rfc4566bis values, but somehow "image" should be 
>>> mentioned also in section 8.2.1. If the registration of the other 
>>> media types for sdp are still regarded as registered by RFC 4566, 
>>> the sentence is proposed to read:
>>>
>>> Registered media types at the publication of this memo are "audio", 
>>> "video", "text", "application", "message", and "image".
>>> -----------------end of change 
>>> 2-------------------------------------------------
>>>
>>> (while if registration of the basic set of media will be regarded to 
>>> be moved to have been made by rfc4566bis, then another wording is 
>>> needed.)
GH: Also the definition of media in the syntax chapter 9 would 
preferably be extended to include the complete set of media currently 
registered, even if it says "typically" .....